- Main Page
- Namespaces
- Classes
- Files
- Directories

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# UniqueApp Class Reference

Creates a unique instance of kshowmail. More...

`#include <uniqueapp.h>`

List of all members.

## Public Member Functions
| UniqueApp ()
| ~UniqueApp ()
virtual int | newInstance ()
## Private Attributes
KShowMailApp * | m_pApp

## Detailed Description

Creates a unique instance of kshowmail.

Author:
  Eggert Ehmke

## Constructor & Destructor Documentation

UniqueApp::UniqueApp | ( |  | ) |

Constructor

UniqueApp::~UniqueApp | ( |  | ) |

Destructor

## Member Function Documentation

int UniqueApp::newInstance | ( |  | ) | `[virtual]`

overloaded method of KUniqueApplication. Creates a new instance of kshowmail.

## Member Data Documentation

KShowMailApp* UniqueApp::m_pApp`[private]`

the kshowmail instance

The documentation for this class was generated from the following files:

- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/uniqueapp.h
- Daten/Documents/programmieren/kshowmail/kshowmail/kshowmail/uniqueapp.cpp